1.2
1.2
get /v1/account-assignments
Description
get account assignment list
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | instance_id required | 인스턴스 ID Example : ssoins-12345 | string | None |
| query | target_account_id required | 할당된 계정 ID Example : 3265ab469f0d406d83073da3e11e7a6c | string | None |
| query | target_account_name optional | 할당된 Account명 Example : Admin Account | any of [string, null] | None |
| query | target_account_email optional | 할당된 계정 이메일 Example : target_account@example.com | any of [string, null] | None |
| query | permission_set_id optional | 권한 세트 ID Example : e8d4b9f2c1a7e5d3f0b6c9a2d8e4f7b1 | any of [string, null] | None |
| query | principal_name optional | 주체 이름 Example : GROUP0407 | any of [string, null] | None |
| query | role_srn optional | 역할 SRN Example : srn:role:kr-j:1234:role/admin@example.com | any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | AccountAssignmentsPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/account-assignments?instance_id={instance_id}&target_account_id={target_account_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam-identity-center 1.2"
Example HTTP response
Response 200
{
"account_assignments": [
{
"instance_id": "ssoins-12345",
"permission_sets": [],
"principal_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
"principal_name": "GROUP0407",
"principal_type": "USER",
"role_srn": "Permissions for administrators",
"target_account_email": "target_account@example.com",
"target_account_id": "3265ab469f0d406d83073da3e11e7a6c",
"target_account_name": "Admin Account"
}
],
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}